Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000410Core InformPhrases and functional programmingpublic2010-11-13 12:452014-05-07 07:33
ReporterNeurosion 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000410: Phrase matching depends on nonappearance of other check rules
DescriptionThe attached source, reduced from Sand Dancer and the report at http://www.intfiction.org/forum/viewtopic.php?f=7&t=1658, [^] yields errors depending on how many occurrences of the marked line are present. It should produce none.
Minimal Source Text To Reproduce
There is a room.
Trading is an action applying to two things.
The trading action has a person called the trader.

[For each occurrence of this line the error message appears once.]
Check trading when the second noun is held: stop.

Check trading when trader needs more memories: stop.
To decide whether (trader - a person) needs more memories:
	decide yes.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002477)
graham (administrator)
2014-02-11 15:15

A thorny one, this - a very obscure race condition - but it's fixed.

- Issue History
Date Modified Username Field Change
2010-11-13 12:45 EmacsUser New Issue
2010-11-13 12:49 jmcgrew Status new => confirmed
2010-11-16 09:59 EmacsUser Reporter EmacsUser => Neurosion
2013-06-19 08:44 EmacsUser Steps to Reproduce Updated View Revisions
2014-02-11 15:15 graham Note Added: 0002477
2014-02-11 15:15 graham Status confirmed => resolved
2014-02-11 15:15 graham Resolution open => fixed
2014-02-11 15:15 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker